### is_read_buffered

The `is_read_buffered` class is a traits class that may be used to determine whether a stream type supports buffering of read data.

    template<
        typename Stream>
    class is_read_buffered

##### Data Members

Name | Description
--- | ---
value [static] | The value member is true only if the Stream type supports buffering of read data.

##### Requirements

Header: `asio/is_read_buffered.hpp`

Convenience header: `asio.hpp`